| OpenCV 3.4.8 Open Source Computer Vision

Classes | Public Member Functions | Static Public Member Functions | List of all members
cv::face::FacemarkAAM Class Referenceabstract
Face Analysis

`#include <opencv2/face/facemarkAAM.hpp>`

Inheritance diagram for cv::face::FacemarkAAM:

## Classes
struct | Config
| Optional parameter for fitting process. More...
struct | Data
| Data container for the facemark::getData function. More...
struct | Model
| The model of AAM Algorithm. More...
struct | Params

## Public Member Functions
virtual | ~FacemarkAAM ()
virtual bool | fitConfig (InputArray image, InputArray roi, OutputArrayOfArrays _landmarks, const std::vector< Config > &runtime_params)=0
| overload with additional Config structures More...
Public Member Functions inherited from cv::face::FacemarkTrain
virtual bool | addTrainingSample (InputArray image, InputArray landmarks)=0
| Add one training sample to the trainer. More...
virtual bool | getData (void *items=0)=0
| Get data from an algorithm. More...
virtual bool | getFaces (InputArray image, OutputArray faces)=0
| Detect faces from a given image using default or user defined face detector. Some Algorithm might not provide a default face detector. More...
virtual bool | setFaceDetector (FN_FaceDetector detector, void *userData=0)=0
| Set a user defined face detector for the Facemark algorithm. More...
virtual void | training (void *parameters=0)=0
| Trains a Facemark algorithm using the given dataset. Before the training process, training samples should be added to the trainer using face::addTrainingSample function. More...
Public Member Functions inherited from cv::face::Facemark
virtual bool | fit (InputArray image, InputArray faces, OutputArrayOfArrays landmarks)=0
| Detect facial landmarks from an image. More...
virtual void | loadModel (String model)=0
| A function to load the trained model before the fitting process. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< FacemarkAAM > | create (const FacemarkAAM::Params &parameters=FacemarkAAM::Params())
| initializer More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Constructor & Destructor Documentation

## § ~FacemarkAAM()

virtual cv::face::FacemarkAAM::~FacemarkAAM | ( |  | ) |
| inline virtual

## Member Function Documentation

## § create()

static Ptr<FacemarkAAM> cv::face::FacemarkAAM::create | ( | const FacemarkAAM::Params & | parameters = `FacemarkAAM::Params()` | ) |
| static

initializer

## § fitConfig()

virtual bool cv::face::FacemarkAAM::fitConfig | ( | InputArray | image,
|  | InputArray | roi,
|  | OutputArrayOfArrays | _landmarks,
|  | const std::vector< Config > & | runtime_params
| ) |  |
| pure virtual

overload with additional Config structures

The documentation for this class was generated from the following file:

- opencv2/face/facemarkAAM.hpp